/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_EXCEPTIONS_H__
#define __TK_EXCEPTIONS_H__

#include <cstring>
#include <string>
#include <stdexcept>

namespace TkResolver {

  class UnixError : public std::runtime_error
  {
  public:
    UnixError (const std::string & prefix, int err)
      : runtime_error (prefix + ": (" + strerror (err) + ")") {}
  };
};


#endif /* __TK_EXCEPTIONS_H__ */
