/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#include "data_selector_list.h"

using namespace TkResolver;
using namespace Db::Ui;

void
TkResolver::Db::Ui:: append_selection(const Gtk::TreeModel::iterator & iter, ModelIteratorList * list)
{
  list->push_back(iter);
}


DataInput:: DataInput(const Glib::ustring & title, Gtk::Window & parent)
  : Gtk::Dialog(title, parent, true)
{
  add_button(Gtk::Stock::OK,     Gtk::RESPONSE_OK);
  add_button(Gtk::Stock::CANCEL, Gtk::RESPONSE_CANCEL);
}

Db::Parameters *
DataInput:: get_data()
{
  int response = run();

  if (response != Gtk::RESPONSE_OK)
    return NULL;
  
  return get_data_sub();
}

