/*
 * tkresolver - Telekinesis testing software
 *
 * Copyright (C) 2004 Robert Ham <rah@bash.sh>
 *
 * GPL all the way, baby :)
 *
 */

#ifndef __TK_RETRIEVER_H__
#define __TK_RETRIEVER_H__

#include <wchar.h>

#include <list>
#include <string>

#include <glibmm.h>

#include "random_types.h"

namespace TkResolver {

  namespace Random {

    class Retriever
    {
    private:
      unsigned       _count;
      Glib::Thread * _thread;
      Buffer *       _buffer;

      void run();

    protected:
      unsigned &get_count();

    public:
      Retriever(unsigned chars);
      Buffer * join();
      virtual Buffer * retrieve() = 0;
    };

  }; /* namespace Random */
  
}; /* namespace TkResolver */


#endif /* __TK_RETRIEVER_H__ */
